diff options
author | Nikolas Hermanns <nikolas.hermanns@ericsson.com> | 2016-12-05 17:12:46 -0500 |
---|---|---|
committer | Fatih Degirmenci <fatih.degirmenci@ericsson.com> | 2017-02-01 23:07:42 +0100 |
commit | 2590b3c452a5b8e6bd95dbd3f6daecc12a9fc20d (patch) | |
tree | e2a56a0d980ffd92cd9e115b8b36f8c8c4ffa428 /jjb/3rd_party_ci/install-netvirt.sh | |
parent | 690ce5838508a651d5cf06c89533d5b69ac999ec (diff) |
Apex: Create promotion and verify job for Apex CSIT snapshots
Changes Include:
- Adds a daily job to create Apex snapshot tarball if functest passes
- snapshot artifact uploaded to artifacts.opnfv.org
- snapshot artifcat info is stored in snapshot.properties
- 3rd party job updated to deploy from snapshot
- 3rd party install netvirt job updated to use updated sdnvpn tools
JIRA: APEX-364
Depends-On: I792db0fac3f4e81969fe85c05fc298fe5af02537
Change-Id: I8a875c081d756d098173c0baf11c0b4e4956b9fd
Signed-off-by: Tim Rozet <trozet@redhat.com>
Signed-off-by: Nikolas Hermanns <nikolas.hermanns@ericsson.com>
Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/3rd_party_ci/install-netvirt.sh')
-rwxr-xr-x | jjb/3rd_party_ci/install-netvirt.sh | 24 |
1 files changed, 19 insertions, 5 deletions
diff --git a/jjb/3rd_party_ci/install-netvirt.sh b/jjb/3rd_party_ci/install-netvirt.sh index f111d4847..c9aa4c501 100755 --- a/jjb/3rd_party_ci/install-netvirt.sh +++ b/jjb/3rd_party_ci/install-netvirt.sh @@ -2,14 +2,28 @@ set -e if [ -z ${WORKSPACE} ]; then - echo "WORKSPACE is unset. Please do so." + echo "WORKSPACE is unset. Please set." exit 1 fi # wipe the WORKSPACE /bin/rm -rf $WORKSPACE/* +set -o errexit +set -o nounset +set -o pipefail + +SNAP_CACHE=$HOME/snap_cache # clone opnfv sdnvpn repo git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git $WORKSPACE/sdnvpn -. $WORKSPACE/sdnvpn/odl-pipeline/odl-pipeline-common.sh -pushd $LIB -./odl_reinstaller.sh --cloner-info $CLONER_INFO --odl-artifact $NETVIRT_ARTIFACT -popd
\ No newline at end of file + +if [ ! -f "$NETVIRT_ARTIFACT" ]; then + echo "ERROR: ${NETVIRT_ARTIFACT} specified as NetVirt Artifact, but file does not exist" + exit 1 +fi + +# TODO (trozet) snapshot should have already been unpacked into cache folder +# but we really should check the cache here, and not use a single cache folder +# for when we support multiple jobs on a single slave +pushd sdnvpn/odl-pipeline/lib > /dev/null +./odl_reinstaller.sh --pod-config ${SNAP_CACHE}/node.yaml \ + --odl-artifact ${NETVIRT_ARTIFACT} --ssh-key-file ${SNAP_CACHE}/id_rsa +popd > /dev/null |